For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Models
      • GETGet a Model
LogoLogo
Contact usJoin the Discord
API ReferenceModels

Get a Model

GET
https://host.com/v1/models/:model_id
GET
/v1/models/:model_id
$curl https://host.com/v1/models/model_id
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "display_name": "display_name",
5 "type": "model",
6 "max_tokens": 1,
7 "max_input_tokens": 1,
8 "embed_dim": 1,
9 "capabilities": {
10 "batch": {
11 "supported": true
12 },
13 "citations": {
14 "supported": true
15 },
16 "code_execution": {
17 "supported": true
18 },
19 "context_management": {
20 "supported": true,
21 "clear_thinking_20251015": {
22 "supported": true
23 },
24 "clear_tool_uses_20250919": {
25 "supported": true
26 },
27 "compact_20260112": {
28 "supported": true
29 }
30 },
31 "effort": {
32 "supported": true,
33 "low": {
34 "supported": true
35 },
36 "medium": {
37 "supported": true
38 },
39 "high": {
40 "supported": true
41 },
42 "max": {
43 "supported": true
44 }
45 },
46 "image_input": {
47 "supported": true,
48 "maximum": 1
49 },
50 "pdf_input": {
51 "supported": true
52 },
53 "structured_outputs": {
54 "supported": true
55 },
56 "thinking": {
57 "supported": true,
58 "types": {
59 "adaptive": {
60 "supported": true
61 },
62 "enabled": {
63 "supported": true
64 }
65 }
66 },
67 "audio_input": {
68 "supported": true,
69 "maximum": 1
70 }
71 }
72}
Get a Model
Was this page helpful?
Previous

Initiate Async Chat Stream

Next
Built with

Path parameters

model_idstringRequired

Response

This endpoint returns an object.
idstring
Unique model identifier.
created_atdatetime

Model release timestamp (RFC3339).

display_namestring

Human-readable model name.

type"model"
Object type "model".
max_tokensinteger

Maximum value allowed for max_tokens for this model.

max_input_tokensinteger
Maximum input context window for this model.
embed_diminteger
Embedding vector dimension for embedding models.
capabilitiesobject
Detailed model capability map.

Errors

401
Unauthorized
422
Unprocessable Entity